/*********************************************************************
*                     SEGGER Microcontroller GmbH                    *
*                        The Embedded Experts                        *
**********************************************************************
*                                                                    *
*       (c) 1995 - 2020 SEGGER Microcontroller GmbH                  *
*                                                                    *
*       Internet: segger.com  Support: support_embos@segger.com      *
*                                                                    *
**********************************************************************

-------------------------- END-OF-HEADER -----------------------------
File    : OS_Start2Tasks.c
Purpose : embOS native API sample program running two simple tasks.
*/

#include "RTOS.h"

static OS_STACKPTR int StackHP[128], StackLP[128];  // Task stacks
static OS_TASK         TCBHP, TCBLP;                // Task control blocks

/*********************************************************************
*
*       HPTask()
*/
static void HPTask(void* pContext) {
  while (1) {
    OS_TASK_Delay((OS_TIME)pContext);
  }
}

/*********************************************************************
*
*       LPTask()
*/
static void LPTask(void* pContext) {
  while (1) {
    OS_TASK_Delay((OS_TIME)pContext);
  }
}

/*********************************************************************
*
*       main()
*/
int main(void) {
  OS_Init();                                                              // Initialize embOS
  OS_InitHW();                                                            // Initialize required hardware
  OS_TASK_CREATEEX(&TCBHP, "HP Task", 100, HPTask, StackHP, (void*)50);   // Create HPTask
  OS_TASK_CREATEEX(&TCBLP, "LP Task",  50, LPTask, StackLP, (void*)200);  // Create LPTask
  OS_Start();                                                             // Start embOS
  return 0;
}

/*************************** End of file ****************************/
